GET
/notebooks/{Instance_id}/metrics/gauge/all/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Instance_id}/metrics/gauge/all/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Instance_id}/metrics/gauge/all/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Instance_id}/metrics/gauge/all/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Returns the current storage, memory and GPU figures of the Instance or Virtual Machine.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Instance_id
required
integer
Instance ID
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Responses
Section titled “Responses”Node metrics retrieved successfully
Media typeapplication/json
object
code
integer
data
object
pvc_metrics
object
pvc_capacity
string
used_pvc_storage
string
memory_metrics
object
memory_capacity
string
used_memory_capacity
string
ephemeral_storage_metrics
object
ephemeral_storage_capacity
string
used_ephemeral_storage
string
gpu_metrics
object
avg_gpu_utilization
string
avg_gpu_temperature
string
avg_gpu_power
string
used_gpu_memory
string
total_gpu_memory
string
cpu_metrics
object
avg_cpu_utilization
string
avg_memory_utilization
string
uptime
string
gpu_performance_metrics
object
avg_memory_bandwidth
string
avg_tensor_throughput
string
pcie_throughput
string
errors
object
message
string
Example
{ "code": 200, "data": { "pvc_metrics": { "pvc_capacity": "29412593664", "used_pvc_storage": "57860096" }, "memory_metrics": { "memory_capacity": "15998753178", "used_memory_capacity": "117813248" }, "ephemeral_storage_metrics": { "ephemeral_storage_capacity": "50000000000", "used_ephemeral_storage": "868352" }, "gpu_metrics": { "avg_gpu_utilization": "", "avg_gpu_temperature": "", "avg_gpu_power": "", "used_gpu_memory": "", "total_gpu_memory": "" }, "cpu_metrics": { "avg_cpu_utilization": "0.14139347820001158", "avg_memory_utilization": "0.5931316606002083", "uptime": "136.91499996185303" }, "gpu_performance_metrics": { "avg_memory_bandwidth": "", "avg_tensor_throughput": "", "pcie_throughput": "" } }, "errors": {}, "message": "Success"}